package de.jottyfan.timetrack.modules;

import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;

import org.jooq.exception.DataAccessException;

/**
 * 
 * @author henkej
 *
 */
public class SessionModel {

	public boolean doLogin(FacesContext facesContext, SessionBean bean) {
		try {
			return new SessionGateway(facesContext).seekAndSetLogin(bean);
		} catch (DataAccessException e) {
			FacesMessage msg = new FacesMessage(FacesMessage.SEVERITY_ERROR, "error on login", e.getMessage());
			facesContext.addMessage(null, msg);
			return false;
		}
	}

}
