package de.jottyfan.timetrack.moduls.done;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import de.jottyfan.timetrack.modules.done.WholeDaySummaryBean;

/**
 * 
 * @author henkej
 *
 */
public class TestWholeDaySummaryBean {
	@Test
	public void testGetOvertime() {
		assertEquals("00:00", new WholeDaySummaryBean("", "", "07:48", "").getOvertime());
		assertEquals("00:12", new WholeDaySummaryBean("", "", "08:00", "").getOvertime());
		assertEquals("-00:48", new WholeDaySummaryBean("", "", "07:00", "").getOvertime());
		assertEquals("-07:48", new WholeDaySummaryBean("", "", "00:00", "").getOvertime());
		assertEquals("-07:48", new WholeDaySummaryBean("", "", "", "").getOvertime());
		assertEquals("", new WholeDaySummaryBean("", "", "a:b", "").getOvertime());
	}
}
